diff options
author | Jim Meyering <jim@meyering.net> | 2003-10-15 21:23:46 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2003-10-15 21:23:46 +0000 |
commit | aef3dbf2d92474807da68686fb113bb8d0802d2a (patch) | |
tree | 3880eb3a24d94697ae290320f599a7d14b710888 /tests/chgrp/recurse | |
parent | 6f5cbd29253b85da9cfdc613ea8c2fd15d25ddd4 (diff) | |
download | coreutils-aef3dbf2d92474807da68686fb113bb8d0802d2a.tar.xz |
Update tests accordingly.
Diffstat (limited to 'tests/chgrp/recurse')
-rwxr-xr-x | tests/chgrp/recurse | 35 |
1 files changed, 22 insertions, 13 deletions
diff --git a/tests/chgrp/recurse b/tests/chgrp/recurse index d1d70248c..0bd648290 100755 --- a/tests/chgrp/recurse +++ b/tests/chgrp/recurse @@ -1,5 +1,5 @@ #!/bin/sh -# make sure chgrp handles --recursive w/symlinks +# ad-hoc tests of chgrp with -R and -H or -L and symlinks if test "$VERBOSE" = yes; then set -x @@ -9,7 +9,7 @@ fi . $srcdir/../group-names pwd=`pwd` -tmp=slink.$$ +tmp=recurse.$$ trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0 trap '(exit $?); exit' 1 2 13 15 @@ -30,18 +30,27 @@ fail=0 # chgrp -R should not traverse a symlink to a directory. mkdir d e -touch e/f +touch d/dd e/ee ln -s ../e d/s -chgrp -R $g1 e/f || fail=1 -# Neither of the following should change the group of e/f +chgrp -R $g1 e/ee || fail=1 +# This should not should change the group of e/ee chgrp -R $g2 d -set _ `ls -l e/f`; g=$5; test "$g" = $g1 || fail=1 -chgrp --deref -R $g2 d -set _ `ls -l e/f`; g=$5; test "$g" = $g1 || fail=1 - -# Even when the symlink-to-directory is a command line argument, it should -# not be traversed. So this shouldn't change the group of e/f either. -chgrp --deref -R $g2 d/s || fail=1 -set _ `ls -l e/f`; g=$5; test "$g" = $g1 || fail=1 +set _ `ls -l e/ee`; g=$5; test "$g" = $g1 || fail=1 +# This must change the group of e/ee, since -L makes +# chgrp traverse the symlink from d/s into e. +chgrp -L -R $g2 d +set _ `ls -l e/ee`; g=$5; test "$g" = $g2 || fail=1 + +# This must *not* change the group of e/ee +chgrp -H -R $g1 d +set _ `ls -l e/ee`; g=$5; test "$g" = $g2 || fail=1 + +ln -s d link + +# This shouldn't change the group of e/ee either. +chgrp -H -R $g1 link || fail=1 +set _ `ls -l e/ee`; g=$5; test "$g" = $g2 || fail=1 +# But it *should* change d/dd. +set _ `ls -l d/dd`; g=$5; test "$g" = $g1 || fail=1 (exit $fail); exit |